# std::packaged_task::~packaged_task

From cppreference.com
< cpp‎ | thread‎ | packaged task

~packaged_task(); |  |

Abandons the shared state and destroys the stored task object.

As with std::promise::~promise, if the shared state is abandoned before it was made ready, an std::future_error exception is stored with the error code std::future_errc::broken_promise).

### Parameters

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/packaged_task/%7Epackaged_task&oldid=80091"
Category:

- Todo no example